Pular para o conteúdo

/api/v1/tickets

POST
/api/v1/tickets
curl --request POST \
--url https://api.endless.zaia.app/api/v1/tickets \
--header 'Content-Type: application/json' \
--data '{ "chatId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "ticketingTeamId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "assigneeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "pending" }'

Creates a new ticket.

Media typeapplication/json
object
chatId
required

A UUID v4 string that identifies an entity.

string format: uuid
ticketingTeamId
required

The id of the ticketing team responsible for the ticket.

string format: uuid
nullable
assigneeId
required

A UUID v4 string that identifies an entity.

string format: uuid
status
required
string
Allowed values: pending ongoing

The ticket was created.

Media typeapplication/json
object
createdAt
required
string format: date-time
id
required

A UUID v4 string that identifies an entity.

string format: uuid
updatedAt
required
string format: date-time
assigneeId
required

The id of the user assigned to the ticket.

string format: uuid
nullable
chatId
required

A UUID v4 string that identifies an entity.

string format: uuid
circumstance
required

The type of ticket creation: takeover (human intervention) or handover (agent automatic creation).

string
Allowed values: takeover handover
completedAt
required
string format: date-time
nullable
lastViewedAt
required

The last time the ticket was viewed by the assignee.

string format: date-time
nullable
ongoingAt
required
string format: date-time
nullable
status
required
string
Allowed values: pending ongoing completed
summary
required

A brief summary of the chat up until the ticket was created.

string
ticketingTeamId
required

The id of the ticketing team responsible for the ticket.

string format: uuid
nullable
Example
{
"circumstance": "takeover",
"status": "pending"
}

Unauthorized.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Chat not found or assignee not found.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}

Ticket already exists.

Media typeapplication/json

The description of a known exception.

object
code

The error code.

string
cta

The error call-to-action.

object
type
required
string
Allowed values: support-contact
url
required
string format: uri
feedback
required

The error feedback.

object
enUs
string
esEs
string
ptBr
string
message
required

The error message.

string
name
required

The error name.

string
Example
{
"cta": {
"type": "support-contact"
}
}